Questo sito usa dei cookie (per informazioni sulla gestione dei cookies fai click qui)tecnici per poter funzionare, non vengono usati cookie di terze parti ne tantomeno vengono creati profili.

Bug 237 - Aggiornamento postgres 9.x
Summary: Aggiornamento postgres 9.x
Status: NEW
Alias: None
Product: anArchive
Classification: Unclassified
Component: infrastruttura (show other bugs)
Version: unspecified
Hardware: All All
: Normal enhancement
Assignee: Edoardo Panfili
URL:
Keywords: ambiente-di-esecuzione
Depends on:
Blocks:
 
Reported: 2013-02-14 14:09 CET by Edoardo Panfili
Modified: 2013-07-12 16:16 CEST (History)
3 users (show)

See Also:


Attachments

Description Edoardo Panfili 2013-02-14 14:09:40 CET
8.4 	2009-07-01 	<= siamo qui (supportato fino metà 2014) [1]
9.0 	2010-09-20 	
9.1 	2011-09-12 	
9.2 	2012-09-10
9.3     atteso per metà 2013

L'aggiornamento in questo caso è condizionato anche da postgis [2], sembra che postgis 2.0 vada bene con postgres 9.2, per i dettagli sui miglioramenti nelle nuove versioni di postgres vedi [3]

- incrementi nelle prestazioni, da verificare il loro impatto su postgis (ho fatto alcuni test e una query sembra anzi andar peggio, ma ovviamente suona strano e va verificato)
- migliorie nella gestione del server
- possibilità di salvare dati fuori dal DB (interrogabili normalmente)

Passare al postgres 9.3+postgis 2.1 al dilà dei tempi di rilascio potrebbe creare problemi con le librerie richieste dalla versione di postgis 2.1, non tutte disponibili nella versione base di debian.

[1] http://www.postgresql.org/support/versioning/
[2] http://trac.osgeo.org/postgis/wiki/UsersWikiPostgreSQLPostGIS
[3] http://www.postgresql.org/about/featurematrix/
Comment 1 Edoardo Panfili 2013-06-18 22:01:21 CEST
Milestone PostGIS 2.1.0

https://trac.osgeo.org/postgis/milestone/PostGIS%202.1.0
Comment 2 Edoardo Panfili 2013-06-29 21:21:13 CEST
Postgis 2.1 raccomanda GEOS 3.4 che è attualmente in stato di sviluppo.

http://trac.osgeo.org/geos/milestone/3.4.0

Note You need to log in before you can comment on or make changes to this bug.